
package cz.karry.dop.nbmodule.dbg.actions;


import java.util.Collections;
import java.util.Set;

import org.netbeans.api.debugger.ActionsManager;
import cz.karry.dop.nbmodule.dbg.DebugSession;
import org.netbeans.spi.debugger.ContextProvider;



public class StepIntoActionProvider extends AbstractActionProvider {

    public StepIntoActionProvider( ContextProvider contextProvider ) {
        super(contextProvider);
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ActionsProviderSupport#doAction(java.lang.Object)
     */
    @Override
    public void doAction( Object action ){
        throw new UnsupportedOperationException("Not yet implemented");
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ActionsProvider#getActions()
     */
    @Override
    public Set getActions(){
        System.err.println("StepIntoActionProvider getAction");
        return Collections.singleton( ActionsManager.ACTION_STEP_INTO );
    }


}
